package server

import (
	"context"
	"fmt"
	"io"
	"net/http"

	"gitlab.greeson.xyz/highsaltlevels/go-common/saltlog"
)

func StartHttpHealthServer(port int, ctx context.Context, logLevel int) {
	logger := saltlog.NewLogger(logLevel)
	http.HandleFunc("/health", func(w http.ResponseWriter, r *http.Request) {
		logger.Debug("health: ok")
		io.WriteString(w, "ok\n")
	})

	go func() {
		http.ListenAndServe(fmt.Sprintf(":%d", port), nil)
	}()

	select {
	case <-ctx.Done():
		logger.Info("stopping health server")
		return
	}
}
